Attribute VB_Name = "AddtoGroup"
    Public strDLName As String
    Public myGroups As String

Public Sub AddToDLGroup()
    Dim oDLGroup As Outlook.DistListItem
    Dim oRecipients As Outlook.Recipients
    Dim oMail As MailItem
    Dim newMail As MailItem
    Dim contactItems As Object
     
    Dim ContactsFolder As Outlook.Folder
    Dim Result As Integer
    Dim iCount As Integer
    myGroups = ""
    DLCount = 0
    
    
    On Error Resume Next
    Set oMail = Application.ActiveExplorer.Selection.Item(1)
    If TypeName(oMail) <> "MailItem" Then
       MsgBox "You need to select an email message."
       Exit Sub
    End If

    Set ContactsFolder = Application.Session.GetDefaultFolder(olFolderContacts)
        
    Result = MsgBox("Add to an existing Contact Group or create a new Contact Group?" & _
          vbCrLf & "Click Yes to select an existing Contact Group" & _
          vbCrLf & "No to create a New group ", _
          vbQuestion + vbYesNoCancel, "Contact Group already exists")
        
        If Result = vbYes Then
        
          Set contactItems = ContactsFolder.Items
            iCount = contactItems.Count
            If iCount = 0 Then
            MsgBox "No Contact Groups exist yet"
            Exit Sub
            End If
                For x = 1 To iCount
                If TypeName(contactItems.Item(x)) = "DistListItem" Then
                    myGroups = contactItems.Item(x) & "," & myGroups
                Debug.Print myGroups
                End If
                Next x
                
            UserForm1.Show

Set objContactItems = ContactsFolder.Items.Restrict("[FullName] = '" & strDLName & "'")
    
    If objContactItems.Count > 0 Then
        For Each objItem In objContactItems
                If objItem.Class = Outlook.olDistributionList Then
                Set oDLGroup = objItem
                Exit For
            End If
        Next
    End If

        ElseIf Result = vbNo Then
          strDLName = InputBox("Specify a name for your New Contact Group:", "Contact Group Name")
            Set oDLGroup = Application.CreateItem(olDistributionListItem)
            oDLGroup.DLName = strDLName
        Else
            Exit Sub
        End If
        

    Set newMail = oMail.Reply
    Set oRecipients = newMail.Recipients
            With oDLGroup
                .AddMembers oRecipients
' just save and close
                '.Close olSave
' if you want to see that the address was added to the DL
                .Save
                .Display
            End With
    
    newMail.Close olDiscard
    
    Set oMail = Nothing
    Set oRecipients = Nothing
    Set oDLGroup = Nothing
        
End Sub




